"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var code_frame_error_exports = {};
__export(code_frame_error_exports, {
  default: () => CodeFrameError
});
module.exports = __toCommonJS(code_frame_error_exports);
var import_code_frame = require("@babel/code-frame");
class CodeFrameError extends Error {
  constructor(message, file, options) {
    super(message);
    this.codeFrame = (0, import_code_frame.codeFrameColumns)(file.rawLines, file.location, options);
    this.fileName = file.name;
    Object.setPrototypeOf(this, CodeFrameError.prototype);
  }
  toString() {
    return [
      `CodeFrameError: ${this.message}`,
      "",
      this.fileName,
      this.codeFrame,
      ""
    ].filter((l) => l !== void 0).join("\n");
  }
}
